Get project, cut.md and reusable-resource context
Get project, cut.md and reusable-resource context. Durable editable image and video projects. Source versions use optimistic concurrency and can be opened in Studio. Required API key scopes: `projects:read`.
Authorization
apiKeyAuth Path Parameters
Resource identifier
Query Parameters
Omit complete HTML/CSS source and return source byte/count metadata
falseResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/projects/string/context"{ "success": true, "data": { "project": { "id": "project_01J", "name": "Launch artwork", "description": "Editable social campaign", "compositionKind": "image", "width": 1080, "height": 1080, "fps": 1, "duration": 1, "status": "ready", "createdAt": "2026-08-25T09:00:00.000Z", "updatedAt": "2026-08-25T09:05:00.000Z", "thumbnail": "https://api.jsoncut.com/media/project_01J/thumbnail", "tags": [ "launch" ], "folder": "Campaigns", "version": 3, "source": { "format": "jsoncut-html", "version": 1, "id": "project_01J", "name": "Launch artwork", "compositionKind": "image", "canvasBackground": "transparent", "width": 1080, "height": 1080, "fps": 1, "duration": 1, "html": "<div id=\"title\" data-jc-clip data-jc-kind=\"text\" data-jc-name=\"Title\" data-jc-start=\"0\" data-jc-duration=\"1\" data-jc-track=\"0\" data-jc-bind-text=\"title\" style=\"left:120px;top:460px;width:840px;height:160px;color:#fff;font:800 72px/1.1 Inter,sans-serif;text-align:center\">Launch faster</div>", "css": "#jsoncut-canvas{background:linear-gradient(135deg,#111827,#FF9418)}", "variables": [ { "id": "title", "label": "Title", "type": "string", "default": "Launch faster" } ], "values": { "title": "Launch faster" }, "customBlocks": [] } }, "resources": { "media": [], "components": [], "templates": [], "brandKits": [], "fonts": [] }, "workflow": { "stage": "author", "blockingFindings": [], "recommendedNextActions": [ "Continue authoring or validate the current project.", "For long or multi-scene Agent work, optionally save cut.md as a shared brief." ] } }}Replace a project source version PUT
Replace a project source version. Durable editable image and video projects. Source versions use optimistic concurrency and can be opened in Studio. Required API key scopes: `projects:write`.
Get the latest immutable cut.md version GET
Get the latest immutable cut.md version. Durable editable image and video projects. Source versions use optimistic concurrency and can be opened in Studio. Required API key scopes: `projects:read`.